# Contributing

The best way to contribute is to help others. This includes:

- Reporting new bugs
- Quick typo fix or documentation improvement

If you may choose to take on a bigger commitment by:

- Helping fix bugs
- Implementing new functions
- Publishing guides, tutorials, and examples


## Questions

If you have a question, it is best to ask developers in linkedIn or if the question is regarding any particular issue better to ask in comment of the issue.

## Bug Reports

Search through [Github Issues](https://github.com/Sifatul/js-string-helper/issues) to see if the bug has already been reported. If so, please comment with any additional information.

New bug reports must include:

1. Detailed description of faulty behavior
2. Steps for reproduction or failing test case
3. Expected and actual behaviors 
 


## Feature Requests

Search through [Github Issues](https://github.com/Sifatul/js-string-helper/labels/enhancement) to see if someone has already suggested the feature. If so, please provide support with a [reaction](https://github.com/blog/2119-add-reactions-to-pull-requests-issues-and-comments) and add your own use case.

To open a new feature request, please include:

1. A detailed description of the feature
2. The use case that would be enabled or improved for your product, if the feature was implemented


## Pull Requests

Non-code Pull Requests such as typo fixes or documentation improvements are highly encouraged and are often accepted immediately.

Pull Requests modifying public facing interfaces or APIs, including backwards compatible additions, will undergo the most scrutiny, and will almost certainly require a proper discussion of the motivation and merits beforehand. Simply increasing code complexity is a cost not to be taken lightly.

Pull requests must:

1. Be forked off the [main](https://github.com/Sifatul/js-string-helper) branch.
2. Pass lint `npm run tslint`
3. Commits are [squashed](https://git-scm.com/book/en/v2/Git-Tools-Rewriting-History#Squashing-Commits) to minimally coherent units of changes.
5. Serve a single atomic purpose (add one feature or fix one bug).
6. Introduce only changes that further the PR's singular purpose (ex. do not tweak an unrelated config along with adding your feature).
