"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toSnakeCase = exports.toKebabCase = exports.toPascalCase = exports.toCameCase = exports.toTitleCase = void 0;
var toTitleCase = function (str) {
    return str.replace(/\w\S*/g, function (txt) {
        return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();
    });
};
exports.toTitleCase = toTitleCase;
var toCameCase = function (str) {
    return str
        .replace(/(?:^\w|[A-Z]|\b\w)/g, function (word, index) {
        return index === 0 ? word.toLowerCase() : word.toUpperCase();
    })
        .replace(/\s+/g, "");
};
exports.toCameCase = toCameCase;
var toPascalCase = function (str) {
    return str
        .replace(/(?:^\w|[A-Z]|\b\w)/g, function (word) {
        return word.toUpperCase();
    })
        .replace(/\s+/g, "");
};
exports.toPascalCase = toPascalCase;
var toKebabCase = function (str) {
    return str.replace(/\s+/g, "-");
};
exports.toKebabCase = toKebabCase;
var toSnakeCase = function (str) {
    return str.replace(/\s+/g, "_");
};
exports.toSnakeCase = toSnakeCase;
