"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEmails = exports.getDomain = exports.getLinksFromText = void 0;
var stringValidation_1 = require("./stringValidation");
var getLinksFromText = function (text) {
    var _a;
    var geturl = new RegExp("(^|[ \t\r\n])((ftp|http|https|gopher|mailto|news|nntp|telnet|wais|file|prospero|aim|webcal):(([A-Za-z0-9$_.+!*(),;/?:@&~=-])|%[A-Fa-f0-9]{2}){2,}(#([a-zA-Z0-9][a-zA-Z0-9$_.+!*(),;/?:@&~=%-]*))?([A-Za-z0-9$_+!*();/?:~-]))", "g");
    return (_a = text.match(geturl)) === null || _a === void 0 ? void 0 : _a.map(function (item) { return item.trim(); });
};
exports.getLinksFromText = getLinksFromText;
var getDomain = function (url) {
    if (!(0, stringValidation_1.isUrl)(url))
        throw new Error("Parameter is not a valid url!");
    var result;
    var match = url.match(/^(?:(https|ftp|http)?:\/\/)?(?:[^@\n]+@)?(?:www\.)?([^:\/\n\?\=]+)/im);
    if (match) {
        result = match[2];
        match = result.match(/^[^\.]+\.(.+\..+)$/);
        if (match) {
            result = match[1];
        }
    }
    return result;
};
exports.getDomain = getDomain;
var getEmails = function (str) {
    return str
        .toLowerCase()
        .match(/([a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+\.[a-zA-Z0-9._-]+)/gi);
};
exports.getEmails = getEmails;
