"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clean = exports.removeSpecialCharacter = exports.getLinksFromText = exports.isPhoneNumber = exports.isEmail = void 0;
var isEmail = function (email) {
    var checkEmail = String(email)
        .toLowerCase()
        .match(/^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/);
    if (checkEmail)
        return true;
    return false;
};
exports.isEmail = isEmail;
var isPhoneNumber = function (str) {
    var check = str.match(/^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$/);
    return check != null;
};
exports.isPhoneNumber = isPhoneNumber;
var getLinksFromText = function (text) {
    var _a;
    var geturl = new RegExp("(^|[ \t\r\n])((ftp|http|https|gopher|mailto|news|nntp|telnet|wais|file|prospero|aim|webcal):(([A-Za-z0-9$_.+!*(),;/?:@&~=-])|%[A-Fa-f0-9]{2}){2,}(#([a-zA-Z0-9][a-zA-Z0-9$_.+!*(),;/?:@&~=%-]*))?([A-Za-z0-9$_+!*();/?:~-]))", "g");
    return (_a = text.match(geturl)) === null || _a === void 0 ? void 0 : _a.map(function (item) { return item.trim(); });
};
exports.getLinksFromText = getLinksFromText;
var removeSpecialCharacter = function (str) {
    return str.replace(/[^\w\s]/gi, "");
};
exports.removeSpecialCharacter = removeSpecialCharacter;
var clean = removeSpecialCharacter;
exports.clean = clean;
