"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasValidUrlProtocol = exports.isUrl = exports.isPhoneNumber = exports.isEmail = void 0;
var isEmail = function (email) {
    var checkEmail = String(email)
        .toLowerCase()
        .match(/^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/);
    if (checkEmail)
        return true;
    return false;
};
exports.isEmail = isEmail;
var isPhoneNumber = function (str) {
    var check = str.match(/^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$/);
    return check != null;
};
exports.isPhoneNumber = isPhoneNumber;
var isUrl = function (str) {
    return /^(ftp|http|https):\/\/[^ "]+$/.test(str);
};
exports.isUrl = isUrl;
var hasValidUrlProtocol = function (url) {
    return ["http://", "https://", "ftp://"].some(function (protocol) { return url.indexOf(protocol) >= 0; });
};
exports.hasValidUrlProtocol = hasValidUrlProtocol;
